/*---------------------- C++ header file -----------------------
 Project: tEngine

  D3D

 Developer: Pavel Bagretsov
 Website: http://gamedesign.narod.ru/
 EMail: gamedesign@narod.ru
--------------------------------------------------------------*/

#ifndef _TD3D_H_
#define _TD3D_H_

#include "..\tWindow\tWindow.h"

/*--------------------------------------------------------------
 tD3D

  D3D
--------------------------------------------------------------*/
class TENGINE_DLL tD3D : public tWindow
{
public:
    tD3D();
    virtual ~tD3D();
protected:
    LPDIRECT3D8 m_d3d; // Direct3D
    LPDIRECT3DDEVICE8 m_d3dDevice; //  Direct3D

    D3DDISPLAYMODE m_d3dDM; //   
    D3DPRESENT_PARAMETERS m_d3dPP; //    D3D
    D3DCAPS8 m_d3dCaps; //     D3D

    void InitD3D(int x,int y,int width,int height,int color = 0);
    void ReleaseD3D(void);

    int GetD3DDisplayModeCount(void);
    void GetD3DDisplayMode(int mode,D3DDISPLAYMODE* displayMode);
    int ConvertD3DFormat(D3DFORMAT format);
};

#endif _TD3D_H_
