/*---------------------- C++ header file -----------------------
 Project: tEngine

  

 Developer: Pavel Bagretsov
 Website: http://gamedesign.narod.ru/
 EMail: gamedesign@narod.ru
--------------------------------------------------------------*/

#ifndef _TFILE_H_
#define _TFILE_H_

#include "..\tError\tError.h"

/*--------------------------------------------------------------
   
--------------------------------------------------------------*/
enum {
    TFILENEW = 0x00000001, //   
    TFILEREAD = 0x00000002, //   
    TFILEWRITE = 0x00000004, //   
    TFILETEXT = 0x00000008, //   
    TFILEBINARY = 0x00000010 //    
};

/*--------------------------------------------------------------
 tFile

  
--------------------------------------------------------------*/
class TENGINE_DLL tFile
{
public:
    tFile();
    virtual ~tFile();
protected:
    FILE* m_file; //   
    string m_fileName; //  
    int m_fileFlags; //   

    void OpenFile(const char* name,int flags = TFILEREAD|TFILETEXT);
    void CloseFile(void);
};

#endif _TFILE_H_
