/*---------------------- C++ header file -----------------------
 Project: tEngine

   

 Developer: Pavel Bagretsov
 Website: http://gamedesign.narod.ru/
 EMail: gamedesign@narod.ru
--------------------------------------------------------------*/

#ifndef _TTEXTURES_H_
#define _TTEXTURES_H_

#include "..\tD3D\tD3D.h"

/*--------------------------------------------------------------
 
--------------------------------------------------------------*/
const int TTEXTURESMAXCOUNT = 1024;

/*--------------------------------------------------------------
 tTextures

   
--------------------------------------------------------------*/
class TENGINE_DLL tTextures : virtual public tD3D
{
public:
    tTextures();
    virtual ~tTextures();

    int LoadTexture(const char* name);
    void ReleaseTexture(int id);

    void SetTexture(int id,int stage);
protected:
    struct tTEXTURE
    {
        LPDIRECT3DTEXTURE8 texture;

        tTEXTURE::tTEXTURE()
        {
            texture = NULL;
        }
    };

    vector<tTEXTURE> m_vector; //  
    stack<int> m_stack; //   
};

#endif _TTEXTURES_H_
