/*---------------------- C++ header file -----------------------
 Project: tEngine

  

 Developer: Pavel Bagretsov
 Website: http://gamedesign.narod.ru/
 EMail: gamedesign@narod.ru
--------------------------------------------------------------*/

#ifndef _TWINDOW_H_
#define _TWINDOW_H_

#include "..\tLogFile\tLogFile.h"

/*--------------------------------------------------------------
 
--------------------------------------------------------------*/
extern const char* TWINDOWCLASSNAME;
extern const char* TWINDOWNAME;

extern bool TWINDOWACTIVE;
extern bool TWINDOWSIZE;

/*--------------------------------------------------------------
 tWindow

  
--------------------------------------------------------------*/
class TENGINE_DLL tWindow : virtual public tLogFile
{
public:
    tWindow();
    virtual ~tWindow();
protected:
    HWND m_hWindow; //   

    void InitWindow(int x,int y,int width,int height);
    void ReleaseWindow();
};

#endif _TWINDOW_H_
