/*---------------------- C++ header file -----------------------
 Project: tEngine

     tEngine

 Developer: Pavel Bagretsov
 Website: http://gamedesign.narod.ru/
 EMail: gamedesign@narod.ru
--------------------------------------------------------------*/

#ifndef _TENGINE_H_
#define _TENGINE_H_

#include "tRender\tRender.h"

/*--------------------------------------------------------------
 tEngine

  
--------------------------------------------------------------*/
class TENGINE_DLL tEngine : public tRender
{
public:
    tEngine();
    virtual ~tEngine();

    void InitEngine(void);
    void ReleaseEngine(void);

    void RunEngine(void);

    void SetEngineThread(void (*thread)(void));
protected:
    void (*m_thread)(void); //   
};

#endif _TENGINE_H_
